{ config, lib, pkgs, ... }:

let
  cfg = config.ptw.programs.gaming;
in {
  options.ptw.programs.gaming = {
    enable = lib.mkEnableOption "Configure gaming options";
  };
  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      wineWowPackages.staging winetricks
      protontricks

      lutris-free-wrapped

      (pkgs.callPackage ./wrapper.nix {
        inherit (pkgs) retroarch;
        cores = with pkgs.libretro; [
          mgba mupen64plus melonds desmume dolphin
        ];
      })
      
      #steam-wrapped # Custom package

      gamescope

      corectrl
    ];

    # security.wrappers.gamescope = {
    #   owner = "alexander";
    #   group = "alexander";
    #   source = "${pkgs.gamescope}/bin/gamescope";
    #   capabilities = "CAP_SYS_NICE=eip";
    # };

    hardware.steam-hardware.enable = true;
  };
}
